import os
import sipconfig
import pyqtconfig

#sip_dir= "/home/myddrin/develop/PyQt4/sip/"

# Get the PyQt configuration information.
config = pyqtconfig.Configuration()
QTWEBKIT_API_DIR = "/home/myddrin/develop/WebKit/WebKitQt/Api/"
qt_sip_flags = config.pyqt_sip_flags
sip_dir = config.pyqt_sip_dir
#qt_sip_flags=" -t WS_X11 -t Qt_4_3_0 -x VendorID -x PyQt_NoPrintRangeBug -g "
# The name of the SIP build file generated by SIP and used by the build
# system.
build_file = "libQtWebKit.sbf"

# Get the SIP configuration information.
config = pyqtconfig.Configuration()

# Run SIP to generate the code.


os.system(" ".join([config.sip_bin,
                "-c", ".",
                "-b", build_file,
                "-I", sip_dir,
                "-I", QTWEBKIT_API_DIR,
                qt_sip_flags, 
		"qwebpage.sip"]))



installs = []
installs.append(["qwebpage.sip", os.path.join(sip_dir,"libQtWebKit")])
installs.append(["qwebpage.py", config.default_mod_dir])

# Add the library we are wrapping.  The name doesn't include any platform
# specific prefixes or extensions (e.g. the "lib" prefix on UNIX, or the
# ".dll" extension on Windows).
# Create the Makefile.
makefile = pyqtconfig.QtGuiModuleMakefile(
    configuration=config,
    build_file=build_file,
    installs=installs)


makefile.extra_libs = ["libQtWebKit"]

# Generate the Makefile itself.
makefile.generate()

content = {
    # Publish where the SIP specifications for this module will be
    # installed.
    "qwebpage_sip_dir":    sip_dir,

    # Publish the set of SIP flags needed by this module.  As these are the
    # same flags needed by the qt module we could leave it out, but this
    # allows us to change the flags at a later date without breaking
    # scripts that import the configuration module.
    "qwebpage_sip_flags":  qt_sip_flags
}

# This creates the helloconfig.py module from the helloconfig.py.in
# template and the dictionary.
sipconfig.create_config_module("qwebpageconfig.py", "qwebpageconfig.py.in", 
content)
